Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PGraphics

Name

### beginDraw()

Examples

    PGraphics pg;

    void setup() {
      size(100, 100);
      pg = createGraphics(80, 80, P2D);
      pg.beginDraw();
      pg.background(102);
      pg.stroke(255);
      pg.line(20, 20, 80, 80);
      pg.endDraw();
      noLoop();
    }

    void draw() {
      image(pg, 10, 10);
    }

Description | Sets the default properties for a PGraphics object. It should be called before anything is drawn into the object.

Syntax

    graphics.beginDraw()

Parameters

graphics | any object of the type PGraphics

Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT